.\"	$NetBSD: dm.conf.5,v 1.7 2002/09/26 18:32:00 wiz Exp $
.\"
.\" Copyright (c) 1988, 1991, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"     @(#)dm.conf.5	8.1 (Berkeley) 5/31/93
.\"
.Dd May 31, 1993
.Dt DM.CONF 5
.Os
.Sh NAME
.Nm dm.conf
.Nd dungeon master configuration file
.Sh DESCRIPTION
The
.Nm
file is the configuration file for the
.Xr dm 8
program.
It consists of lines beginning with one of three keywords,
.Em badtty ,
.Em game ,
and
.Em time .
All other lines are ignored.
.Pp
Any tty listed after the keyword
.Em badtty
may not have games played on it.
Entries consist of two white-space separated fields: the string
.Em badtty
and the ttyname as returned by
.Xr ttyname 3 .
For example, to keep the uucp dialout,
.Dq tty19 ,
from being used for games, the entry would be:
.Bd -literal -offset indent
badtty	/dev/tty19
.Ed
.Pp
Any day/hour combination listed after the keyword
.Em time
will disallow games during those hours.
Entries consist of four white-space separated fields: the string
.Em time ,
the unabbreviated day of the week and the beginning and ending time
of a period of the day when games may not be played.
The time fields are in a 0 based, 24-hour clock.
For example, the following entry allows games playing before 8AM
and after 5PM on Mondays:
.Bd -literal -offset indent
time	Monday	8	17
.Ed
.Pp
Any game listed after the keyword
.Em game
will set parameters for a specific game.
Entries consist of five white-space separated fields: the keyword
.Em game ,
the name of a game, the highest system load average at which the
game may be played, the maximum users allowed if the game is to be
played, and the priority at which the game is to be run.
Any of these fields may start with a non-numeric character, resulting
in no game limitation or priority based on that field.
.Pp
The game
.Em default
controls the settings for any game not otherwise listed, and must be the last
.Em game
entry in the file.
Priorities may not be negative.
For example, the following entries limits the game
.Dq hack
to running only when the system has 10 or less users and a load average of 5
or less; all other games may be run any time the system has 15 or less users.
.Bd -literal -offset indent
game	hack		5	10	*
game	default		*	15	*
.Ed
.Sh FILES
.Bl -tag -width /etc/dm.conf -compact
.It Pa /etc/dm.conf
The
.Xr dm 8
configuration file.
.El
.Sh SEE ALSO
.Xr setpriority 2 ,
.Xr ttyname 3 ,
.Xr dm 8
